
PH_2 - Bug #2385

Portal tasks screen

06/13/2021 04:04 PM - Saja Nakhleh

Status: Closed Start date: 06/13/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Shadi Abuomar Actual Result: Issue #1:

1. the action (تحقق من بيانات الحالة)

is exist although it's not on (open file)

submission form

2. the action (اضفة) is disabled although

the data is added for the first record.

evidence 1.gif

Issue #2:

1. the task will be reassigned to the

searcher again (Bpm Step), although the

searcher decision is added ! evidence

2.gif

2. the task will be enabled and the

applicant will get the message of unbaled

to submit new task for the same civil id

Severity: Minor Environment: QA

Category: Portal tasks screen Transaction Number:  

Sub-Category:  Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: Issue #1:

1. the action (تحقق من بيانات الحالة)

should not be exist as on (open file)

submission form

2. the action (اضفة) should be enabled

after the data is added for the first record

Issue #2:

1.the task should be assigned to the

supervisor step

2. the task should be hidden or disabled

from the portal tasks screen

Issue #3:

I recommend to remove the advanced

search as it have multiple core bugs  

  

Description

Issue #1:

1. select any task from Portal tasks screen

2. Compare between the opened screen and the (Open File) screen for the same civil id

3. Observe the actions (تحقق من بيانات الحالة) and (اضافة) from (بيانات الحالة) tab

Issue #2:

1. select any task from Portal tasks screen

2. add all the mandatory fields values

3. Click submit
Issue #3:

1. Observe the advanced search on the main table

History

#1 - 06/13/2021 04:36 PM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Sewar Tahat

Dear Sewar,

Kindly take action regarding the bug report and reply back Please give this  top priority as we need to send it to prod asap.

#2 - 06/14/2021 08:44 PM - Sewar Tahat

- Assignee changed from Sewar Tahat to Mohannad Sabra

Of Issue#1 kindly note that i changed the expression on the button and label from "#{(sessionScope.IsOpenFile eq ("updateFile"))   or not empty

pageflow.Isportal}".to

"#{(sessionScope.IsOpenFile eq ("updateFile"))   or  (bindings.Isportal.inputValue != '1' ) }".

For issue #2 Business issue.

For issue #3 I removed it.

Any note mohannad ,plz advise.

#3 - 06/17/2021 10:31 AM - Sewar Tahat

- Assignee changed from Mohannad Sabra to Saja Nakhleh

Issue #2 I removed the researcher  first step from bpm in portal as mohannad  required.

#4 - 06/20/2021 02:22 PM - Saja Nakhleh

- File 3.GIF added

- Status changed from Open to Feedback

- Assignee changed from Saja Nakhleh to Sewar Tahat

Issue #1:

a. the action (تحقق من بيانات الربط) has been removed but the tabs (مبلغ المساعدة) ,(تفاصيل اخرى) and (راي الباحث) now keep inactive as

they were activated by the removed action !

they should be activated once the serial number is  entered. evidence 3.gif

b. the issue of action (اضافة) is invalid

Issue #2:

waiting for issue #1

Issue #3:

tested and verified.
#5 - 06/20/2021 05:04 PM - Sewar Tahat

- Assignee changed from Sewar Tahat to Saja Nakhleh

issue#1 remove the old expression of the new one for these tab too .

fixed.

#6 - 06/22/2021 03:35 PM - Saja Nakhleh

- File 4.GIF added

- File 5.GIF added

- Severity changed from Normal to Minor

Issue #1:

tested and verified.

Issue #2:

tested and verified.

New issue, Issue #4:

1.submit any open file task

2. Open the task using supervisor user and observe the (sent from) column value

result: if the task is submitted from portal, then the sent from will be empty as on the evidence 4.gif. it should be informative value (i.e: مستخدم غير

(ف\ الخدمات الاكترونية\ غير مسجلَمعر

Issue #5:

1. submit the task that created in issue #4 to the auditor step

2. observe the social status field value on the auditor decision tab

result: if the task is submitted from portal, then the social status field will be empty. evidence 5.gif

Note: same issue is duplicated on the depmonitor step and it step

#7 - 06/22/2021 03:35 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Sewar Tahat

#8 - 07/15/2021 11:19 AM - Sewar Tahat

- Assignee changed from Sewar Tahat to Saja Nakhleh

issue#4

from follow-up request screen not from my side.

issue#5

it's empty from submission form.

#9 - 07/15/2021 03:41 PM - Sewar Tahat

- File Capture1.PNG added

06/06/2025 3/5

http://185.98.225.148:8089/redmine/issues/1
http://185.98.225.148:8089/redmine/issues/2
http://185.98.225.148:8089/redmine/issues/4
http://185.98.225.148:8089/redmine/issues/5
http://185.98.225.148:8089/redmine/issues/4


issue#5

not valid as evidence capture1.png

#10 - 07/15/2021 04:57 PM - Saja Nakhleh

Issue #4:

postponed till the integration with profile centric is finished

Issue #5:

tested and verified.

#11 - 07/15/2021 04:57 PM - Saja Nakhleh

- Project changed from Family Care to PH_2

#12 - 08/25/2021 02:36 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Musab Khuraisat

- Category changed from  portal tasks screen to Portal tasks screen

- Expected Result updated

- Co-Workers Shadi Abuomar added

- Browser Firefox added

Issue #4:

Waiting for it's fix

New issue, Issue #6:

the portal tasks screen should show the tasks of the same searcher unit, hence usr00044 should not show the (الظهر) unit tasks as it's (السالمية)

searcher !

#13 - 08/30/2021 11:00 AM - Mohannad Sabra

- Assignee changed from Musab Khuraisat to Saja Nakhleh

#14 - 10/10/2021 02:15 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Furat Swalha

Issue #4:

still duplicated

Issue #5:

tested and verified.

#15 - 10/18/2021 10:18 AM - Saja Nakhleh

- Assignee changed from Furat Swalha to Musab Khuraisat

#16 - 10/26/2021 11:42 AM - Saja Nakhleh

- Assignee changed from Musab Khuraisat to Saja Nakhleh
Issue #4:

tested and verified.

#17 - 10/26/2021 11:42 AM - Saja Nakhleh

- Status changed from Feedback to Closed

Files

1.GIF 152 KB 06/13/2021 Saja Nakhleh

2.GIF 342 KB 06/13/2021 Saja Nakhleh

3.GIF 74.2 KB 06/20/2021 Saja Nakhleh

4.GIF 194 KB 06/22/2021 Saja Nakhleh

5.GIF 163 KB 06/22/2021 Saja Nakhleh

Capture1.PNG 7.6 KB 07/15/2021 Sewar Tahat

Powered by TCPDF (www.tcpdf.org)

06/06/2025 5/5

http://185.98.225.148:8089/redmine/issues/4
http://www.tcpdf.org

